<template>
  <div v-if="expanded" class="inline-switcher">
    <v-btn
      v-for="lang in $i18n.availableLocales"
      :key="lang"
      text tile
      elevation="0"
      class="mx-0 px-0 main"
      :class="lang == $i18n.locale ? 'active' : ''"
      @click="changeLanguage(lang)">{{ lang }}</v-btn>
  </div>
<div v-else>
  <v-speed-dial
    id="langnav"
    open-on-hover
    direction="left"
    transition="slide-x-reverse-transition">
    <template v-slot:activator>
      <v-btn
        id="langnav"
        small
        elevation="0"
        fab>{{ $i18n.locale }}
      </v-btn>
    </template>
    <v-btn
      v-for="lang in $i18n.availableLocales.filter(language => language !== $i18n.locale)"
      :key="lang"
      fab
      small
      color="primary"
      elevation="0"
      class="mx-1 px-0"
      @click="changeLanguage(lang)">{{ lang }}</v-btn>
  </v-speed-dial>
</div>
</template>

<style>
.inline-switcher {
  margin-bottom: 16px;
}
.inline-switcher button.main span.v-btn__content {
  justify-content: left !important;
}

.inline-switcher .v-btn:not(.v-btn--round).v-size--default {
  border-bottom: 0.35em solid #212121;
  width: fit-content !important;
  height: fit-content !important;
  min-width: auto !important;
  margin-right: 1.5em !important;
}

.inline-switcher .v-btn:not(.v-btn--round).v-size--default span {
  margin-bottom: -3px !important;
}

.inline-switcher button.v-btn:not(.v-btn--round).v-size--default.active,
.inline-switcher button.v-btn:not(.v-btn--round).v-size--default:hover {
  color: #B2B2B2;
  border-bottom-color: #B2B2B2;
}

.inline-switcher button.main.v-btn:hover::before {
  opacity: 0;
}
</style>

<script>
export default {
  name: 'LanguageSwitch',
  props: ['expanded'],
  methods: {
    changeLanguage(lang) {
      this.$i18n.locale = lang;
      const newParams = this.$route.params;
      newParams.lang = lang;
      this.$router.push({
        name: this.$route.name,
        params: newParams
      });
    }
  }
};
</script>
